Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZMediaType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| description ()
| setName ( $value)
| setDescription ( $value)
| attributes ()

## Public Attributes
| $ID
| $Name

## Detailed Description

Definition at line 32 of file ezmediatype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMediaType::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZMediaType object. Retrieves the data from the database if a valid id is given as an argument.

Definition at line 38 of file ezmediatype.php.

References $id, and $ID.

## Member Function Documentation

## ◆ attributes()

eZMediaType::attributes | ( |  | ) |

Returns an array of eZMediaAttribute objects which are associated with the current media type.

Definition at line 191 of file ezmediatype.php.

References $db, $i, and eZDB\globalDatabase().

Referenced by delete().

## ◆ delete()

eZMediaType::delete | ( |  | ) |

Deletes a option from the database.

Definition at line 130 of file ezmediatype.php.

References $db, attributes(), and eZDB\globalDatabase().

## ◆ description()

eZMediaType::description | ( |  | ) |

Returns the option description.

Definition at line 165 of file ezmediatype.php.

References $Description.

## ◆ get()

eZMediaType::get | ( |  | $id = `-1` | ) |

Fetches the media type object values from the database.

Definition at line 83 of file ezmediatype.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZMediaType::getAll | ( |  | ) |

Retrieves every option from the database.

Definition at line 110 of file ezmediatype.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZMediaType::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 148 of file ezmediatype.php.

References $ID.

## ◆ name()

eZMediaType::name | ( |  | ) |

Returns the name of the option.

Definition at line 156 of file ezmediatype.php.

References $Name, and Name.

## ◆ setDescription()

eZMediaType::setDescription | ( |  | $value | ) |

Sets the description of the option.

Definition at line 182 of file ezmediatype.php.

## ◆ setName()

eZMediaType::setName | ( |  | $value | ) |

Sets the name of the option.

Definition at line 174 of file ezmediatype.php.

References Name.

## ◆ store()

eZMediaType::store | ( |  | ) |

Stores a eZMediaType object to the database.

Definition at line 50 of file ezmediatype.php.

References $db, $res, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZMediaType::$ID

Definition at line 210 of file ezmediatype.php.

Referenced by __construct(), and id().

## ◆ $Name

eZMediaType::$Name

Definition at line 211 of file ezmediatype.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezmediatype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.